"""
Generate time series of nominated "gauges".
Input: sww file from run_model.py
       gauges project.gauge_filename
Output: csv files stage,speed,depth,elevation over time (sec)
Stored in the 'outputs_folder' folder for respective .sww file

Note:
Will run through all .sww files in order of time within each output folder
"""

from os import sep, rename, listdir, system
from os.path import join
from anuga.abstract_2d_finite_volumes.util import sww2csv_gauges,csv2timeseries_graphs
import project

directory = project.output_folder
#Folders that contain the sww files of interest found in anuga/outputs
time_dir1 = '20090619_165107_run_final_0_58260_None_kvanputt'
time_dir2 = '20090619_165136_run_final_0.8_58260_None_kvanputt'

time_dirs = [time_dir2, time_dir2]

print 'time directories', time_dirs

for time_dir in time_dirs:
    name = join(directory,time_dir,project.scenario_name)
    gauge = project.gauges
    sww2csv_gauges(name+'.sww',gauge,
                   quantities = ['stage','speed','depth','elevation'],
                   verbose=True)
  

